This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 719626 - [abrt] man-db-2.5.9-5.fc15: __GI___libc_malloc: Process /usr/bin/mandb was killed by signal 11 (SIGSEGV)
[abrt] man-db-2.5.9-5.fc15: __GI___libc_malloc: Process /usr/bin/mandb was ki...
Status: CLOSED DUPLICATE of bug 719624
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
abrt_hash:139dfcb13bd784970d2ada0d6fc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 09:57 EDT by Michael Breuer
Modified: 2011-07-17 10:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-17 10:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Breuer 2011-07-07 09:57:37 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        mandb
comment:        Second crash I'm seeing with Mandb.
component:      man-db
crash_function: __GI___libc_malloc
executable:     /usr/bin/mandb
kernel:         2.6.39.2
os_release:     Fedora release 15 (Lovelock)
package:        man-db-2.5.9-5.fc15
reason:         Process /usr/bin/mandb was killed by signal 11 (SIGSEGV)
time:           Thu Jul  7 08:50:40 2011
uid:            0
username:       root

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3d/eb88c139226963a32620f4819dd0fde20f9d38
:[New LWP 24403]
:Core was generated by `mandb'.
:Program terminated with signal 11, Segmentation fault.
:#0  malloc_consolidate (av=0x33175941e0) at malloc.c:5153
:5153		  size = p->size & ~(PREV_INUSE|NON_MAIN_ARENA);
:
:Thread 1 (LWP 24403):
:#0  malloc_consolidate (av=0x33175941e0) at malloc.c:5153
:        fb = <optimized out>
:        maxfb = <optimized out>
:        p = 0x6168732f7273752f
:        nextp = <optimized out>
:        unsorted_bin = <optimized out>
:        first_unsorted = <optimized out>
:        nextchunk = <optimized out>
:        size = <optimized out>
:        nextsize = <optimized out>
:        prevsize = <optimized out>
:        nextinuse = <optimized out>
:        bck = <optimized out>
:        fwd = <optimized out>
:#1  0x0000003317278274 in malloc_consolidate (av=0x33175941e0) at malloc.c:5115
:No locals.
:#2  _int_malloc (av=0x33175941e0, bytes=32808) at malloc.c:4373
:        nb = 32816
:        idx = <optimized out>
:        bin = <optimized out>
:        victim = <optimized out>
:        size = <optimized out>
:        victim_index = <optimized out>
:        remainder = <optimized out>
:        remainder_size = <optimized out>
:        block = <optimized out>
:        bit = <optimized out>
:        map = <optimized out>
:        fwd = <optimized out>
:        bck = <optimized out>
:        errstr = 0x0
:#3  0x000000331727ab00 in __GI___libc_malloc (bytes=32808) at malloc.c:3660
:        ar_ptr = <optimized out>
:        victim = <optimized out>
:        hook = <optimized out>
:#4  0x00000033172a725b in __alloc_dir (fd=6, close_fd=true, flags=<optimized out>, statp=<optimized out>) at ../sysdeps/unix/opendir.c:185
:        default_allocation = 32768
:        small_allocation = 8192
:        allocation = 32768
:        dirp = <optimized out>
:#5  0x000000000040c809 in ult_hardlink (inode=35319, fullpath=0x1ed3b40 "\320|\336\001") at ult_src.c:88
:        mdir = <optimized out>
:        dir = 0x1ed5000 "/usr/share/man/man3"
:        ret = <optimized out>
:        slash = 0x1ed3b54 "Tcl_FSUtime.3.gz"
:        manlist = <optimized out>
:        base = 0x1dea2e0 "Tcl_FSUtime.3.gz"
:#6  ult_src (name=0x1de76d0 "/usr/share/man/man3/Tcl_FSUtime.3.gz", path=0x1978af0 "/usr/share/man", buf=<optimized out>, flags=6) at ult_src.c:245
:        hardlink = 0x1ed3b40 "\320|\336\001"
:        new_buf = {st_dev = 31356048, st_ino = 31312880, st_nlink = 3, st_mode = 396372133, st_uid = 51, st_gid = 31312868, __pad0 = 0, st_rdev = 219431831154, st_size = 0, st_blksize = 6400256, st_blocks = 31356048, st_atim = {tv_sec = 219043332175, tv_nsec = 32329728}, st_mtim = {tv_sec = 12, tv_nsec = 31356048}, st_ctim = {tv_sec = 32329152, tv_nsec = 0}, __unused = {32329152, 0, 140736268661872}}
:        base = 0x1ed3b40 "\320|\336\001"
:        full_path = <optimized out>
:        end = <optimized out>
:        recurse = 0
:#7  0x0000000000403981 in test_manfile (file=0x1de76d0 "/usr/share/man/man3/Tcl_FSUtime.3.gz", path=0x1978af0 "/usr/share/man") at check_mandirs.c:199
:        manpage_base = 0x1ddcbe4 "Tcl_FSUtime"
:        ult = <optimized out>
:        lg = {type = 0, whatis = 0x0, filters = 0x0}
:        manpage = 0x1ddcbd0 "/usr/share/man/man3"
:        info = {next = 0x0, addr = 0x0, name = 0x0, ext = 0x1ddcbf0 "3", sec = 0x1ddcbe2 "3", id = 0 '\000', pointer = 0x0, comp = 0x331762ad43 "gz", filter = 0x0, whatis = 0x0, _st_mtime = 1304631963}
:        exists = 0x1ed4dc0
:        buf = {st_dev = 64773, st_ino = 35319, st_nlink = 42, st_mode = 33060, st_uid = 0, st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 19902, st_blksize = 4096, st_blocks = 40, st_atim = {tv_sec = 1310024680, tv_nsec = 665173624}, st_mtim = {tv_sec = 1304631963, tv_nsec = 0}, st_ctim = {tv_sec = 1309130081, tv_nsec = 460827244}, __unused = {0, 0, 0}}
:        len = 33
:#8  0x0000000000403fa5 in add_dir_entries (infile=<optimized out>, path=0x1978af0 "/usr/share/man") at check_mandirs.c:325
:        manpage = 0x1de76d0 "/usr/share/man/man3/Tcl_FSUtime.3.gz"
:        len = 20
:        newdir = <optimized out>
:        dir = 0x1e1a2b0
:#9  testmandirs (path=0x1978af0 "/usr/share/man", catpath=0x1975220 "/var/cache/man", last=1309678792, create=0) at check_mandirs.c:484
:        dir = <optimized out>
:        mandir = <optimized out>
:        stbuf = {st_dev = 64773, st_ino = 1064, st_nlink = 2, st_mode = 16877, st_uid = 0, st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 761856, st_blksize = 4096, st_blocks = 1496, st_atim = {tv_sec = 1310024672, tv_nsec = 884062815}, st_mtim = {tv_sec = 1309791775, tv_nsec = 713721574}, st_ctim = {tv_sec = 1309791775, tv_nsec = 713721574}, __unused = {0, 0, 0}}
:        amount = 4
:        created = 0
:#10 0x00000000004048ae in update_db (manpath=0x1978af0 "/usr/share/man", catpath=0x1975220 "/var/cache/man") at check_mandirs.c:634
:        key = {dptr = 0x1d6e350 "", dsize = 8}
:        content = {dptr = 0x1d6e980 "1309678792", dsize = 11}
:        new = <optimized out>
:#11 0x0000000000409652 in update_db_wrapper (catpath=0x1975220 "/var/cache/man", manpath=0x1978af0 "/usr/share/man") at mandb.c:351
:        amount = <optimized out>
:#12 mandb (catpath=0x1975220 "/var/cache/man", manpath=0x1978af0 "/usr/share/man") at mandb.c:482
:        pid = "24403\000\000\000k", '\000' <repeats 13 times>
:        ret = <optimized out>
:        dbname = <optimized out>
:#13 0x00000000004099cb in process_manpath (manpath=0x1978af0 "/usr/share/man", global_manpath=<optimized out>) at mandb.c:533
:        ret = <optimized out>
:        catpath = 0x1975220 "/var/cache/man"
:        amount = 0
:        __PRETTY_FUNCTION__ = "process_manpath"
:#14 0x000000000040308a in main (argc=<optimized out>, argv=<optimized out>) at mandb.c:654
:        ret = <optimized out>
:        dir = <optimized out>
:        global_manpath = 1
:        subdirent = <optimized out>
:        st = {st_dev = 0, st_ino = 0, st_nlink = 0, st_mode = 388197858, st_uid = 51, st_gid = 389370752, __pad0 = 51, st_rdev = 219431892288, st_size = 0, st_blksize = 15774436, st_blocks = 9, st_atim = {tv_sec = 194, tv_nsec = 140736268662846}, st_mtim = {tv_sec = 4247040, tv_nsec = 0}, st_ctim = {tv_sec = 4204091, tv_nsec = 140736268663268}, __unused = {4247109, 15774436, 4247040}}
:        sys_manp = <optimized out>
:        amount = <optimized out>
:        mp = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x0000003317a017b0  0x0000003317a03acc  Yes         /usr/lib64/man-db/libmandb-2.5.9.so
:0x0000003317608ed0  0x000000331762ac9c  Yes         /usr/lib64/man-db/libman-2.5.9.so
:0x0000003320201510  0x000000332020421c  Yes         /usr/lib64/libgdbm.so.3.0.0
:0x000000331721ece0  0x000000331734304c  Yes         /lib64/libc-2.14.so
:0x0000003316e00b20  0x0000003316e18caa  Yes         /lib64/ld-2.14.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x33175941f0	219435057648
:rbx            0x6168732f7273752f	7018986666877744431
:rcx            0x3317594238	219435057720
:rdx            0x1de7cd0	31358160
:rsi            0x61	97
:rdi            0x33175941e0	219435057632
:rbp            0x60	0x60
:rsp            0x7fffb74cf0e0	0x7fffb74cf0e0
:r8             0x3317594230	219435057712
:r9             0x10	16
:r10            0xffffffff	4294967295
:r11            0x246	582
:r12            0x1ed3b60	32324448
:r13            0x30	48
:r14            0x33175941e0	219435057632
:r15            0x6168732f7273752f	7018986666877744431
:rip            0x3317277292	0x3317277292 <malloc_consolidate+210>
:eflags         0x10202	[ IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function malloc_consolidate:
:   0x00000033172771c0 <+0>:	push   %r15
:   0x00000033172771c2 <+2>:	push   %r14
:   0x00000033172771c4 <+4>:	mov    %rdi,%r14
:   0x00000033172771c7 <+7>:	push   %r13
:   0x00000033172771c9 <+9>:	push   %r12
:   0x00000033172771cb <+11>:	push   %rbp
:   0x00000033172771cc <+12>:	push   %rbx
:   0x00000033172771cd <+13>:	sub    $0x28,%rsp
:   0x00000033172771d1 <+17>:	cmpl   $0x0,%fs:0x18
:   0x00000033172771da <+26>:	je     0x33172771dd <malloc_consolidate+29>
:   0x00000033172771dc <+28>:	lock orl $0x1,0x4(%rdi)
:   0x00000033172771e1 <+33>:	lea    0x58(%rdi),%rcx
:   0x00000033172771e5 <+37>:	lea    0x50(%rdi),%r8
:   0x00000033172771e9 <+41>:	lea    0x8(%rdi),%rax
:   0x00000033172771ed <+45>:	nopl   (%rax)
:   0x00000033172771f0 <+48>:	xor    %ebx,%ebx
:   0x00000033172771f2 <+50>:	xchg   %rbx,(%rax)
:   0x00000033172771f5 <+53>:	test   %rbx,%rbx
:   0x00000033172771f8 <+56>:	jne    0x3317277292 <malloc_consolidate+210>
:   0x00000033172771fe <+62>:	jmpq   0x3317277310 <malloc_consolidate+336>
:   0x0000003317277203 <+67>:	nopl   0x0(%rax,%rax,1)
:   0x0000003317277208 <+72>:	mov    0x10(%r12),%rdx
:   0x000000331727720d <+77>:	add    %r13,%rbp
:   0x0000003317277210 <+80>:	mov    0x18(%r12),%rsi
:   0x0000003317277215 <+85>:	cmp    0x18(%rdx),%r12
:   0x0000003317277219 <+89>:	jne    0x331727737c <malloc_consolidate+444>
:   0x000000331727721f <+95>:	cmp    0x10(%rsi),%r12
:   0x0000003317277223 <+99>:	jne    0x331727737c <malloc_consolidate+444>
:   0x0000003317277229 <+105>:	cmpq   $0x3ff,0x8(%r12)
:   0x0000003317277232 <+114>:	mov    %rsi,0x18(%rdx)
:   0x0000003317277236 <+118>:	mov    %rdx,0x10(%rsi)
:   0x000000331727723a <+122>:	jbe    0x331727724a <malloc_consolidate+138>
:   0x000000331727723c <+124>:	mov    0x20(%r12),%rsi
:   0x0000003317277241 <+129>:	test   %rsi,%rsi
:   0x0000003317277244 <+132>:	jne    0x33172773b4 <malloc_consolidate+500>
:   0x000000331727724a <+138>:	mov    0x68(%r14),%rdx
:   0x000000331727724e <+142>:	cmp    $0x3ff,%rbp
:   0x0000003317277255 <+149>:	mov    %rbx,0x68(%r14)
:   0x0000003317277259 <+153>:	mov    %rbx,0x18(%rdx)
:   0x000000331727725d <+157>:	jbe    0x331727726f <malloc_consolidate+175>
:   0x000000331727725f <+159>:	movq   $0x0,0x20(%rbx)
:   0x0000003317277267 <+167>:	movq   $0x0,0x28(%rbx)
:   0x000000331727726f <+175>:	mov    %rbp,%rsi
:   0x0000003317277272 <+178>:	mov    %rcx,0x18(%rbx)
:   0x0000003317277276 <+182>:	mov    %rdx,0x10(%rbx)
:   0x000000331727727a <+186>:	or     $0x1,%rsi
:   0x000000331727727e <+190>:	mov    %rbp,(%rbx,%rbp,1)
:   0x0000003317277282 <+194>:	mov    %rsi,0x8(%rbx)
:   0x0000003317277286 <+198>:	test   %r15,%r15
:   0x0000003317277289 <+201>:	je     0x3317277310 <malloc_consolidate+336>
:   0x000000331727728f <+207>:	mov    %r15,%rbx
:=> 0x0000003317277292 <+210>:	mov    0x8(%rbx),%rdx
:   0x0000003317277296 <+214>:	mov    0x10(%rbx),%r15
:   0x000000331727729a <+218>:	mov    %rdx,%rbp
:   0x000000331727729d <+221>:	and    $0xfffffffffffffffa,%rbp
:   0x00000033172772a1 <+225>:	lea    (%rbx,%rbp,1),%r12
:   0x00000033172772a5 <+229>:	mov    0x8(%r12),%r13
:   0x00000033172772aa <+234>:	and    $0xfffffffffffffff8,%r13
:   0x00000033172772ae <+238>:	and    $0x1,%edx
:   0x00000033172772b1 <+241>:	jne    0x33172772ef <malloc_consolidate+303>
:   0x00000033172772b3 <+243>:	mov    (%rbx),%rdx
:   0x00000033172772b6 <+246>:	sub    %rdx,%rbx
:   0x00000033172772b9 <+249>:	add    %rdx,%rbp
:   0x00000033172772bc <+252>:	mov    0x10(%rbx),%rdx
:   0x00000033172772c0 <+256>:	mov    0x18(%rbx),%rsi
:   0x00000033172772c4 <+260>:	cmp    0x18(%rdx),%rbx
:   0x00000033172772c8 <+264>:	jne    0x3317277344 <malloc_consolidate+388>
:   0x00000033172772ca <+266>:	cmp    0x10(%rsi),%rbx
:   0x00000033172772ce <+270>:	jne    0x3317277344 <malloc_consolidate+388>
:   0x00000033172772d0 <+272>:	cmpq   $0x3ff,0x8(%rbx)
:   0x00000033172772d8 <+280>:	mov    %rsi,0x18(%rdx)
:   0x00000033172772dc <+284>:	mov    %rdx,0x10(%rsi)
:   0x00000033172772e0 <+288>:	jbe    0x33172772ef <malloc_consolidate+303>
:   0x00000033172772e2 <+290>:	mov    0x20(%rbx),%rsi
:   0x00000033172772e6 <+294>:	test   %rsi,%rsi
:   0x00000033172772e9 <+297>:	jne    0x33172773d2 <malloc_consolidate+530>
:   0x00000033172772ef <+303>:	cmp    0x58(%r14),%r12
:   0x00000033172772f3 <+307>:	je     0x3317277330 <malloc_consolidate+368>
:   0x00000033172772f5 <+309>:	testb  $0x1,0x8(%r12,%r13,1)
:   0x00000033172772fb <+315>:	je     0x3317277208 <malloc_consolidate+72>
:   0x0000003317277301 <+321>:	andq   $0xfffffffffffffffe,0x8(%r12)
:   0x0000003317277307 <+327>:	jmpq   0x331727724a <malloc_consolidate+138>
:   0x000000331727730c <+332>:	nopl   0x0(%rax)
:   0x0000003317277310 <+336>:	add    $0x8,%rax
:   0x0000003317277314 <+340>:	lea    -0x8(%rax),%rdx
:   0x0000003317277318 <+344>:	cmp    %rdx,%r8
:   0x000000331727731b <+347>:	jne    0x33172771f0 <malloc_consolidate+48>
:   0x0000003317277321 <+353>:	add    $0x28,%rsp
:   0x0000003317277325 <+357>:	pop    %rbx
:   0x0000003317277326 <+358>:	pop    %rbp
:   0x0000003317277327 <+359>:	pop    %r12
:   0x0000003317277329 <+361>:	pop    %r13
:   0x000000331727732b <+363>:	pop    %r14
:   0x000000331727732d <+365>:	pop    %r15
:   0x000000331727732f <+367>:	retq   
:   0x0000003317277330 <+368>:	add    %r13,%rbp
:   0x0000003317277333 <+371>:	or     $0x1,%rbp
:   0x0000003317277337 <+375>:	mov    %rbp,0x8(%rbx)
:   0x000000331727733b <+379>:	mov    %rbx,0x58(%r14)
:   0x000000331727733f <+383>:	jmpq   0x3317277286 <malloc_consolidate+198>
:   0x0000003317277344 <+388>:	mov    0x31add6(%rip),%edi        # 0x3317592120 <check_action>
:   0x000000331727734a <+394>:	lea    0xe2dff(%rip),%rsi        # 0x331735a150
:   0x0000003317277351 <+401>:	mov    %rbx,%rdx
:   0x0000003317277354 <+404>:	mov    %rax,0x8(%rsp)
:   0x0000003317277359 <+409>:	mov    %rcx,0x18(%rsp)
:   0x000000331727735e <+414>:	mov    %r8,0x10(%rsp)
:   0x0000003317277363 <+419>:	callq  0x3317276f80 <malloc_printerr>
:   0x0000003317277368 <+424>:	mov    0x8(%rsp),%rax
:   0x000000331727736d <+429>:	mov    0x18(%rsp),%rcx
:   0x0000003317277372 <+434>:	mov    0x10(%rsp),%r8
:   0x0000003317277377 <+439>:	jmpq   0x33172772ef <malloc_consolidate+303>
:   0x000000331727737c <+444>:	mov    0x31ad9e(%rip),%edi        # 0x3317592120 <check_action>
:   0x0000003317277382 <+450>:	lea    0xe2dc7(%rip),%rsi        # 0x331735a150
:   0x0000003317277389 <+457>:	mov    %r12,%rdx
:   0x000000331727738c <+460>:	mov    %rax,0x8(%rsp)
:   0x0000003317277391 <+465>:	mov    %rcx,0x18(%rsp)
:   0x0000003317277396 <+470>:	mov    %r8,0x10(%rsp)
:   0x000000331727739b <+475>:	callq  0x3317276f80 <malloc_printerr>
:   0x00000033172773a0 <+480>:	mov    0x8(%rsp),%rax
:   0x00000033172773a5 <+485>:	mov    0x18(%rsp),%rcx
:   0x00000033172773aa <+490>:	mov    0x10(%rsp),%r8
:   0x00000033172773af <+495>:	jmpq   0x331727724a <malloc_consolidate+138>
:   0x00000033172773b4 <+500>:	cmpq   $0x0,0x20(%rdx)
:   0x00000033172773b9 <+505>:	je     0x33172773ee <malloc_consolidate+558>
:   0x00000033172773bb <+507>:	mov    0x28(%r12),%rdx
:   0x00000033172773c0 <+512>:	mov    %rdx,0x28(%rsi)
:   0x00000033172773c4 <+516>:	mov    0x28(%r12),%rdx
:   0x00000033172773c9 <+521>:	mov    %rsi,0x20(%rdx)
:   0x00000033172773cd <+525>:	jmpq   0x331727724a <malloc_consolidate+138>
:   0x00000033172773d2 <+530>:	cmpq   $0x0,0x20(%rdx)
:   0x00000033172773d7 <+535>:	je     0x3317277417 <malloc_consolidate+599>
:   0x00000033172773d9 <+537>:	mov    0x28(%rbx),%rdx
:   0x00000033172773dd <+541>:	mov    %rdx,0x28(%rsi)
:   0x00000033172773e1 <+545>:	mov    0x28(%rbx),%rdx
:   0x00000033172773e5 <+549>:	mov    %rsi,0x20(%rdx)
:   0x00000033172773e9 <+553>:	jmpq   0x33172772ef <malloc_consolidate+303>
:   0x00000033172773ee <+558>:	cmp    %rsi,%r12
:   0x00000033172773f1 <+561>:	je     0x331727743d <malloc_consolidate+637>
:   0x00000033172773f3 <+563>:	mov    %rsi,0x20(%rdx)
:   0x00000033172773f7 <+567>:	mov    0x28(%r12),%rsi
:   0x00000033172773fc <+572>:	mov    %rsi,0x28(%rdx)
:   0x0000003317277400 <+576>:	mov    0x20(%r12),%rsi
:   0x0000003317277405 <+581>:	mov    %rdx,0x28(%rsi)
:   0x0000003317277409 <+585>:	mov    0x28(%r12),%rsi
:   0x000000331727740e <+590>:	mov    %rdx,0x20(%rsi)
:   0x0000003317277412 <+594>:	jmpq   0x331727724a <malloc_consolidate+138>
:   0x0000003317277417 <+599>:	cmp    %rsi,%rbx
:   0x000000331727741a <+602>:	je     0x331727744a <malloc_consolidate+650>
:   0x000000331727741c <+604>:	mov    %rsi,0x20(%rdx)
:   0x0000003317277420 <+608>:	mov    0x28(%rbx),%rsi
:   0x0000003317277424 <+612>:	mov    %rsi,0x28(%rdx)
:   0x0000003317277428 <+616>:	mov    0x20(%rbx),%rsi
:   0x000000331727742c <+620>:	mov    %rdx,0x28(%rsi)
:   0x0000003317277430 <+624>:	mov    0x28(%rbx),%rsi
:   0x0000003317277434 <+628>:	mov    %rdx,0x20(%rsi)
:   0x0000003317277438 <+632>:	jmpq   0x33172772ef <malloc_consolidate+303>
:   0x000000331727743d <+637>:	mov    %rdx,0x28(%rdx)
:   0x0000003317277441 <+641>:	mov    %rdx,0x20(%rdx)
:   0x0000003317277445 <+645>:	jmpq   0x331727724a <malloc_consolidate+138>
:   0x000000331727744a <+650>:	mov    %rdx,0x28(%rdx)
:   0x000000331727744e <+654>:	mov    %rdx,0x20(%rdx)
:   0x0000003317277452 <+658>:	jmpq   0x33172772ef <malloc_consolidate+303>
:End of assembler dump.

build_ids:
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:020ea634b00e306a5ba5982d96f7f55c560bee88
:55fbc20a0f2093fdf6c7328288318daa3db2d3eb
:4179b9db5e1ecf71cd4d91e6b52e1157ecf37911
:0f9bb1a699f888d1da8997867dc9e18ec8c82fb3
:102736e6f7449b48231c39f8d4c40361f3e2f6b6

dso_list:
:/usr/lib64/libgdbm.so.3.0.0 gdbm-1.8.3-9.fc15.x86_64 (Fedora Project) 1309107799
:/usr/lib64/man-db/libman-2.5.9.so man-db-2.5.9-5.fc15.x86_64 (Fedora Project) 1309130127
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309787052
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1309787052
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309787060
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309787052
:/usr/bin/mandb man-db-2.5.9-5.fc15.x86_64 (Fedora Project) 1309130127
:/usr/lib64/man-db/libmandb-2.5.9.so man-db-2.5.9-5.fc15.x86_64 (Fedora Project) 1309130127

environ:
:XDG_SESSION_ID=3045
:HOSTNAME=mail.majjas.com
:SELINUX_ROLE_REQUESTED=
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:'SSH_CLIENT=10.0.0.11 54871 22'
:PERL5LIB=/usr/local/lib64/perl5:/usr/local/share/perl5:/usr/lib64/perl5/vendor_perl:/usr/share/perl5/vendor_perl
:SELINUX_USE_CURRENT_RANGE=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:SSH_TTY=/dev/pts/0
:USER=root
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:MAIL=/var/spool/mail/root
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin
:PWD=/etc/mail
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:SELINUX_LEVEL_REQUESTED=
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/root
:LOGNAME=root
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:'SSH_CONNECTION=10.0.0.11 54871 10.0.0.1 22'
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/root
:G_BROKEN_FILENAMES=1
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/mandb
:OLDPWD=/root

maps:
:00400000-0041a000 r-xp 00000000 fd:05 49956                              /usr/bin/mandb
:0061a000-0061b000 rw-p 0001a000 fd:05 49956                              /usr/bin/mandb
:0061b000-0061e000 rw-p 00000000 00:00 0 
:0081a000-0081c000 rw-p 0001a000 fd:05 49956                              /usr/bin/mandb
:01974000-01f2e000 rw-p 00000000 00:00 0                                  [heap]
:3316e00000-3316e1f000 r-xp 00000000 fd:03 4926                           /lib64/ld-2.14.so
:331701e000-331701f000 r--p 0001e000 fd:03 4926                           /lib64/ld-2.14.so
:331701f000-3317020000 rw-p 0001f000 fd:03 4926                           /lib64/ld-2.14.so
:3317020000-3317021000 rw-p 00000000 00:00 0 
:3317200000-331738f000 r-xp 00000000 fd:03 6357                           /lib64/libc-2.14.so
:331738f000-331758e000 ---p 0018f000 fd:03 6357                           /lib64/libc-2.14.so
:331758e000-3317592000 r--p 0018e000 fd:03 6357                           /lib64/libc-2.14.so
:3317592000-3317593000 rw-p 00192000 fd:03 6357                           /lib64/libc-2.14.so
:3317593000-3317599000 rw-p 00000000 00:00 0 
:3317600000-3317632000 r-xp 00000000 fd:05 928306                         /usr/lib64/man-db/libman-2.5.9.so
:3317632000-3317832000 ---p 00032000 fd:05 928306                         /usr/lib64/man-db/libman-2.5.9.so
:3317832000-3317834000 rw-p 00032000 fd:05 928306                         /usr/lib64/man-db/libman-2.5.9.so
:3317834000-3317835000 rw-p 00000000 00:00 0 
:3317a00000-3317a05000 r-xp 00000000 fd:05 926688                         /usr/lib64/man-db/libmandb-2.5.9.so
:3317a05000-3317c04000 ---p 00005000 fd:05 926688                         /usr/lib64/man-db/libmandb-2.5.9.so
:3317c04000-3317c05000 rw-p 00004000 fd:05 926688                         /usr/lib64/man-db/libmandb-2.5.9.so
:3320200000-3320205000 r-xp 00000000 fd:05 76616                          /usr/lib64/libgdbm.so.3.0.0
:3320205000-3320404000 ---p 00005000 fd:05 76616                          /usr/lib64/libgdbm.so.3.0.0
:3320404000-3320405000 rw-p 00004000 fd:05 76616                          /usr/lib64/libgdbm.so.3.0.0
:7f4ae3dc1000-7f4aea1e4000 r--p 00000000 fd:05 44759                      /usr/lib/locale/locale-archive
:7f4aea1e4000-7f4aea1e7000 rw-p 00000000 00:00 0 
:7f4aea20e000-7f4aea215000 r--s 00000000 fd:05 30057                      /usr/lib64/gconv/gconv-modules.cache
:7f4aea215000-7f4aea218000 rw-p 00000000 00:00 0 
:7fffb74b0000-7fffb74d1000 rw-p 00000000 00:00 0                          [stack]
:7fffb75ff000-7fffb7600000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Jul  4 03:26:25 mail kernel: [571737.755391] mandb[25161]: segfault at 33feee2a80 ip 00000033fce772a5 sp 00007fffed321a00 error 4 in libc-2.14.so[33fce00000+18f000]
:Jul  5 03:21:25 mail kernel: [657808.195552] mandb[29924]: segfault at 7f9cc4bda240 ip 00007f9cc27112a5 sp 00007ffff38e0c70 error 4 in libc-2.14.so[7f9cc269a000+18f000]
:Jul  5 17:57:48 mail kernel: [710372.295011] mandb[19461]: segfault at 3319c3f3f0 ip 00000033172772a5 sp 00007ffff28c0bd0 error 4 in libc-2.14.so[3317200000+18f000]
:Jul  6 03:47:36 mail kernel: [25009.140813] mandb[440]: segfault at 3318cfa140 ip 00000033172772a5 sp 00007fffa052f040 error 4 in libc-2.14.so[3317200000+18f000]
:Jul  7 03:44:41 mail kernel: [111204.665708] mandb[1515]: segfault at 3318810910 ip 00000033172772a5 sp 00007fff97a90200 error 4 in libc-2.14.so[3317200000+18f000]
:Jul  7 08:50:40 mail kernel: [129556.825958] mandb[24403] general protection ip:3317277292 sp:7fffb74cf0e0 error:0 in libc-2.14.so[3317200000+18f000]
:Jul  7 08:50:40 mail abrt[28180]: saved core dump of pid 24403 (/usr/bin/mandb) to /var/spool/abrt/ccpp-2011-07-07-08:50:40-24403.new/coredump (6291456 bytes)
Comment 1 Michael Breuer 2011-07-07 09:58:04 EDT
Package: man-db-2.5.9-5.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Second crash I'm seeing with Mandb.
Comment 2 Fedora Admin XMLRPC Client 2011-07-12 07:45:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Michael Breuer 2011-07-17 10:07:38 EDT

*** This bug has been marked as a duplicate of bug 719624 ***

Note You need to log in before you can comment on or make changes to this bug.